diff -ur slackware64-14.2/extra/source/recordmydesktop/recordmydesktop.SlackBuild slackware64-14.2.patcharm/extra/source/recordmydesktop/recordmydesktop.SlackBuild
--- slackware64-14.2/extra/source/recordmydesktop/recordmydesktop.SlackBuild	2012-06-28 23:07:08.000000000 +0200
+++ slackware64-14.2.patcharm/extra/source/recordmydesktop/recordmydesktop.SlackBuild	2017-12-10 17:39:24.520788045 +0100
@@ -47,7 +47,7 @@
 VERSION=${VERSION:-0.3.8.1}
 QTVER=${QTVER:-0.3.8}
 BUILD=${BUILD:-3}
-NUMJOBS=${NUMJOBS:" -j4 "}
+NUMJOBS=${NUMJOBS:-" -j4 "}
 
 # Automatically determine the architecture we're building on:
 if [ -z "$ARCH" ]; then
@@ -170,8 +180,10 @@
     --program-prefix= \
     --program-suffix= \
     --build=$ARCH-slackware-linux \
-    2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
+    2>&1 | tee $OUTPUT/configure-${PRGNAM}.log 
+  if [ $PIPESTATUS -ne 0 ] ; then exit 1 ; fi
   make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
+  if [ $PIPESTATUS -ne 0 ] ; then exit 1 ; fi
 
   if $(which installwatch > /dev/null 2>&1); then
     installwatch -o $OUTPUT/install-${PRGNAM}.log make DESTDIR=$PKG install
@@ -194,7 +206,7 @@
     --program-suffix= \
     --build=$ARCH-slackware-linux \
     2>&1 | tee $OUTPUT/configure-qt-${PRGNAM}.log
-  make 2>&1 | tee $OUTPUT/make-qt-${PRGNAM}.log
+  make 2>&1 | tee $OUTPUT/make-qt-${PRGNAM}.log || exit 1
 
   if $(which installwatch > /dev/null 2>&1); then
     installwatch -o $OUTPUT/install-${PRGNAM}.log make DESTDIR=$PKG install
diff -ur slackware64-14.2/extra/source/tigervnc/tigervnc.SlackBuild slackware64-14.2.patcharm/extra/source/tigervnc/tigervnc.SlackBuild
--- slackware64-14.2/extra/source/tigervnc/tigervnc.SlackBuild	2016-04-06 03:45:45.000000000 +0200
+++ slackware64-14.2.patcharm/extra/source/tigervnc/tigervnc.SlackBuild	2018-08-23 12:32:05.397702616 +0200
@@ -79,7 +79,7 @@
 VERSION=${VERSION:-1.6.0}
 PVER=$(echo $VERSION | cut -f1,2 -d. --output-delimiter=)
 BUILD=${BUILD:-3}
-NUMJOBS=${NUMJOBS:" -j7 "}
+NUMJOBS=${NUMJOBS:-" -j7 "}
 TAG=${TAG:-}
 
 # TigerVNC needs to use source of the X.Org server whose version matches
diff -ur slackware64-14.2/source/a/cryptsetup/cryptsetup.SlackBuild slackware64-14.2.patcharm/source/a/cryptsetup/cryptsetup.SlackBuild
--- slackware64-14.2/source/a/cryptsetup/cryptsetup.SlackBuild	2015-09-02 01:20:25.000000000 +0200
+++ slackware64-14.2.patcharm/source/a/cryptsetup/cryptsetup.SlackBuild	2017-11-01 23:16:39.893113951 +0100
@@ -88,8 +91,8 @@
   --mandir=/usr/man \
   --docdir=/usr/doc/cryptsetup-$VERSION \
   --build=$ARCH-slackware-linux
-make
-make DESTDIR=$PKG install
+make || exit 1
+make DESTDIR=$PKG install || exit 1
 
 # Move the shared library to $PKG/lib${LIBDIRSUFFIX}:
 mkdir -p $PKG/lib${LIBDIRSUFFIX}
diff -ur slackware64-14.2/source/a/efibootmgr/efibootmgr.SlackBuild slackware64-14.2.patcharm/source/a/efibootmgr/efibootmgr.SlackBuild
--- slackware64-14.2/source/a/efibootmgr/efibootmgr.SlackBuild	2013-09-18 23:01:44.000000000 +0200
+++ slackware64-14.2.patcharm/source/a/efibootmgr/efibootmgr.SlackBuild	2017-11-02 00:19:58.340545792 +0100
@@ -62,6 +62,11 @@
   LIBDIRSUFFIX=""
 fi
 
+if [[ `gcc -dumpversion | cut -f1 -d.` -ge 5 ]]
+then
+  SLKCFLAGS="$SLKCFLAGS -std=gnu89"
+fi
+
 CWD=$(pwd)
 TMP=${TMP:-/tmp}
 PKG=$TMP/package-$PKGNAM
@@ -87,7 +92,7 @@
   -exec chmod 644 {} \;
 
 # Build:
-CFLAGS="$SLKCFLAGS" make || exit 1
+EXTRA_CFLAGS="$SLKCFLAGS" make || exit 1
 
 # Install:
 mkdir -p $PKG/usr/sbin
diff -ur slackware64-14.2/source/a/isapnptools/isapnptools.SlackBuild slackware64-14.2.patcharm/source/a/isapnptools/isapnptools.SlackBuild
--- slackware64-14.2/source/a/isapnptools/isapnptools.SlackBuild	2012-07-13 07:03:55.000000000 +0200
+++ slackware64-14.2.patcharm/source/a/isapnptools/isapnptools.SlackBuild	2017-08-13 01:28:51.181302290 +0200
@@ -38,10 +38,10 @@
 ARCH=${ARCH:-i486}
 BUILD=${BUILD:-2}
 
-tar xzvf $CWD/isapnptools-$VERSION.tar.gz || exit 1
+tar xvf $CWD/isapnptools-$VERSION.tar.?z || exit 1
 cd isapnptools-$VERSION
 
-zcat $CWD/isapnptools_1.26-5.diff.xz | patch -p1 --verbose || exit 1
+zcat $CWD/isapnptools_1.26-5.diff.?z | patch -p1 --verbose || exit 1
 
 chown -R root:root .
 find . -perm 666 -exec chmod 644 {} \;
diff -ur slackware64-14.2/source/a/reiserfsprogs/reiserfsprogs.SlackBuild slackware64-14.2.patcharm/source/a/reiserfsprogs/reiserfsprogs.SlackBuild
--- slackware64-14.2/source/a/reiserfsprogs/reiserfsprogs.SlackBuild	2015-04-14 20:05:27.000000000 +0200
+++ slackware64-14.2.patcharm/source/a/reiserfsprogs/reiserfsprogs.SlackBuild	2017-08-13 02:49:37.929503550 +0200
@@ -62,6 +62,11 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \;
 
+if [[ `gcc -dumpversion | cut -f1 -d.` -ge 5 ]]
+then
+  SLKCFLAGS="$SLKCFLAGS -std=gnu89"
+fi
+
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
diff -ur slackware64-14.2/source/ap/dmapi/dmapi.SlackBuild slackware64-14.2.patcharm/source/ap/dmapi/dmapi.SlackBuild
--- slackware64-14.2/source/ap/dmapi/dmapi.SlackBuild	2013-05-17 05:58:09.000000000 +0200
+++ slackware64-14.2.patcharm/source/ap/dmapi/dmapi.SlackBuild	2017-11-03 20:44:12.272872128 +0100
@@ -52,6 +52,9 @@
 tar xvf $CWD/dmapi-$VERSION.tar.?z* || exit 1
 cd dmapi-$(echo $VERSION | cut -f 1 -d '-')
 
+zcat $CWD/unixstd-include.patch.gz | patch -p1
+zcat $CWD/missing-sys_getdents.patch.gz | patch -p1
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
Only in slackware64-14.2.patcharm/source/ap/dmapi: missing-sys_getdents.patch.gz
Only in slackware64-14.2.patcharm/source/ap/dmapi: unixstd-include.patch.gz
Only in slackware64-14.2.patcharm/source/ap/ispell: getline.patch.gz
diff -ur slackware64-14.2/source/ap/ispell/ispell.SlackBuild slackware64-14.2.patcharm/source/ap/ispell/ispell.SlackBuild
--- slackware64-14.2/source/ap/ispell/ispell.SlackBuild	2010-07-28 20:37:13.000000000 +0200
+++ slackware64-14.2.patcharm/source/ap/ispell/ispell.SlackBuild	2017-10-10 02:39:33.678236968 +0200
@@ -51,6 +51,9 @@
 rm -rf ispell-$VERSION
 tar xvf $CWD/ispell-$VERSION.tar.gz || exit 1
 cd ispell-$VERSION || exit 1
+
+zcat $CWD/getline.patch.gz | patch -p1 || exit 1
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-14.2/source/ap/ksh93/ksh93.SlackBuild slackware64-14.2.patcharm/source/ap/ksh93/ksh93.SlackBuild
--- slackware64-14.2/source/ap/ksh93/ksh93.SlackBuild	2016-03-02 22:51:21.000000000 +0100
+++ slackware64-14.2.patcharm/source/ap/ksh93/ksh93.SlackBuild	2017-11-04 00:31:12.622296346 +0100
@@ -70,6 +74,7 @@
 
 /bin/ksh bin/package read || exit 1
 
+zcat $CWD/patches/astlib-20160217-ltmpnam.patch.gz | patch -p1 --verbose || exit 1
 zcat $CWD/patches/ksh-20070328-builtins.patch.gz | patch -p1 --verbose || exit 1
 zcat $CWD/patches/ksh-20100826-fixregr.patch.gz | patch -p1 --verbose || exit 1
 zcat $CWD/patches/ksh-20080202-manfix.patch.gz | patch -p1 --verbose || exit 1
@@ -136,6 +141,13 @@
 export CC=gcc
 /bin/ksh ./bin/package make -S || exit 1
 
+# I found that if part of the "package" unpacking breaks, then ksh doesn't get built
+# but the above commands don't fail:
+if [ ! -x arch/linux.$SARCH/bin/ksh ]; then
+   echo "ksh has not been built."
+   exit 1
+fi
+
 mkdir -p $PKG/bin
 cp arch/linux.$SARCH/bin/ksh $PKG/bin/ksh.new
 strip --strip-unneeded $PKG/bin/ksh.new
Only in slackware64-14.2.patcharm/source/ap/ksh93/patches: astlib-20160217-ltmpnam.patch.gz
diff -ur slackware64-14.2/source/ap/linuxdoc-tools/linuxdoc-tools.build slackware64-14.2.patcharm/source/ap/linuxdoc-tools/linuxdoc-tools.build
--- slackware64-14.2/source/ap/linuxdoc-tools/linuxdoc-tools.build	2015-08-14 12:00:00.000000000 +0200
+++ slackware64-14.2.patcharm/source/ap/linuxdoc-tools/linuxdoc-tools.build	2018-08-23 15:41:44.763842462 +0200
@@ -83,7 +91,7 @@
   --mandir=/usr/man || exit 1
 
 # Install:
-make install && make docs || exit 1
+make $NUMJOBS install && make $NUMJOBS docs || exit 1
 find /etc/asciidoc -type f -print0 | xargs -0 chmod 644
 
 # Copy docs:
@@ -135,7 +143,7 @@
   || exit 1
 
 # Build & install:
-make -e 'mkdir_p=mkdir -p' install || exit 1
+make -e 'mkdir_p=mkdir -p' $NUMJOBS install || exit 1
 
 # Create catalog:
 install-catalog --add /etc/sgml/sgml-ent.cat \
@@ -303,10 +315,10 @@
   || exit 1
 
 # Build:
-make pkgdatadir=/usr/share/sgml/OpenSP-$OPENSPVER || exit 1
+make $NUMJOBS pkgdatadir=/usr/share/sgml/OpenSP-$OPENSPVER || exit 1
 
 # Install:
-make install DESTDIR=/ || exit 1
+make $NUMJOBS install DESTDIR=/ || exit 1
 
 # This allows OpenJade to link with OpenSP.
 ( cd /usr/lib${LIBDIRSUFFIX} && ln -vsf libosp.so libsp.so )
@@ -389,12 +404,12 @@
   || exit 1
 
 # Build (setting the perl library to be the PWD so it finds the old 'getopts.pl'):
-make PERL5LIB=$PWD || exit 1
+make $NUMJOBS PERL5LIB=$PWD || exit 1
 
 # Install:
 mkdir -p /etc/sgml
-make install || exit 1
-make install-man || exit 1
+make $NUMJOBS install || exit 1
+make $NUMJOBS install-man || exit 1
 ( cd /usr/bin && ln -vfs openjade jade )
 ( cd /usr/man/man1 && ln -vfs openjade.1 jade.1 )
 ln -vsf libogrove.so /usr/lib${LIBDIRSUFFIX}/libgrove.so
@@ -505,10 +520,10 @@
   || exit 1
 
 # Build:
-make || exit 1
+make $NUMJOBS || exit 1
 
 # Install:
-make install htmldir=/usr/doc/docbook-utils-$DOCBOOKUTILSVER/html || exit 1
+make $NUMJOBS install htmldir=/usr/doc/docbook-utils-$DOCBOOKUTILSVER/html || exit 1
 
 # grep-2.7 demands [[:space:]] instead of [:space:]
 if ! fgrep '[[:space:]]' /usr/bin/jw ; then
@@ -792,10 +807,10 @@
   || exit 1
 
 # Build:
-make || exit 1
+make $NUMJOBS || exit 1
 
 # Install:
-make install || exit 1
+make $NUMJOBS install || exit 1
 
 # Copy docs:
 mkdir -vpm755 /usr/doc/xmlto-$XMLTOVER
@@ -825,10 +840,10 @@
 sed -i 's?/share/man?/man/?g' Makefile
 
 # Build:
-make OPTIMIZE="$SLKCFLAGS" || exit 1
+make $NUMJOBS OPTIMIZE="$SLKCFLAGS" || exit 1
 
 # Install:
-make install PREFIX=/usr
+make $NUMJOBS install PREFIX=/usr
 sed 's?usr/share/doc/sgmls-doc/?usr/doc/sgmlspl-'"$SGMLSPLVER"'/?g' sgmlspl.1 > /usr/man/man1/sgmlspl.1
 mv -fv /usr/bin/sgmlspl{.pl,}
 
@@ -951,7 +969,7 @@
   --build=$ARCH-slackware-linux$HOSTTARGET || exit 1
 
 # No parallel build here because it doesn't work:
-make || exit 1
+make $NUMJOBS || exit 1
 
 # Install:
 make install DESTDIR=/ || exit 1
@@ -983,7 +1001,7 @@
   --prefix=/usr || exit 1
 
 # Build:
-make || exit 1
+make $NUMJOBS || exit 1
 
 # Install:
 make install || exit 1
@@ -1006,8 +1024,8 @@
   perl Makefile.PL INSTALLDIRS=vendor
   # Make sure the man pages go where we want them:
   fgrep -lr -- '/share/man/' . | xargs sed -i 's?/share/man/?/man/?g'
-  make || exit 1
-  make test || exit 1
+  make $NUMJOBS || exit 1
+  make $NUMJOBS test || exit 1
   make pure_install || exit 1 || exit 1 ) || exit 1
 
 ( mkdir perl-XML-SAX-Base && cd perl-XML-SAX-Base
@@ -1016,8 +1034,8 @@
   cd XML-SAX-Base-* || exit 1
   perl Makefile.PL INSTALLDIRS=vendor
   fgrep -lr -- '/share/man/' . | xargs sed -i 's?/share/man/?/man/?g'
-  make || exit 1
-  make test || exit 1
+  make $NUMJOBS || exit 1
+  make $NUMJOBS test || exit 1
   make pure_install || exit 1 ) || exit 1
 
 ( mkdir XML-SAX && cd XML-SAX
@@ -1028,8 +1046,8 @@
   # Answer Y to updating ParserDetails.ini:
   yes | perl Makefile.PL INSTALLDIRS=vendor
   fgrep -lr -- '/share/man/' . | xargs sed -i 's?/share/man/?/man/?g'
-  make || exit 1
-  make test || exit 1
+  make $NUMJOBS || exit 1
+  make $NUMJOBS test || exit 1
   make pure_install || exit 1
   # We need to make a ParserDetails.ini file, as suggested here:
   # http://perl-xml.sourceforge.net/faq/#parserdetails.ini
@@ -1076,7 +1097,7 @@
    --build=$ARCH-slackware-linux$HOSTTARGET || exit 1
 
 # Build:
-make || exit 1
+make $NUMJOBS || exit 1
 
 # Install:
 make install || exit 1
Only in slackware64-14.2.patcharm/source/d/doxygen: bison3.patch.gz
diff -ur slackware64-14.2/source/d/doxygen/doxygen.SlackBuild slackware64-14.2.patcharm/source/d/doxygen/doxygen.SlackBuild
--- slackware64-14.2/source/d/doxygen/doxygen.SlackBuild	2012-06-26 00:55:31.000000000 +0200
+++ slackware64-14.2.patcharm/source/d/doxygen/doxygen.SlackBuild	2017-10-10 03:01:46.209011745 +0200
@@ -60,6 +63,9 @@
 rm -rf doxygen-$VERSION
 tar xvf $CWD/doxygen-${VERSION}.src.tar.?z* || exit 1
 cd doxygen-$VERSION
+
+zcat $CWD/bison3.patch.gz | patch -p1
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
Only in slackware64-14.2.patcharm/source/d/gcc/fastjar-patches: 1005-fastjar-aarch64.patch.gz
diff -ur slackware64-14.2/source/d/gcc/gcc.SlackBuild slackware64-14.2.patcharm/source/d/gcc/gcc.SlackBuild
--- slackware64-14.2/source/d/gcc/gcc.SlackBuild	2016-03-06 18:55:49.000000000 +0100
+++ slackware64-14.2.patcharm/source/d/gcc/gcc.SlackBuild	2017-12-30 01:58:22.424944162 +0100
@@ -57,7 +57,7 @@
 BUILD=${BUILD:-3}
 
 # How many jobs to run in parallel:
-NUMJOBS=" -j 7 "
+NUMJOBS=${NUMJOBS:-" -j 7 "}
 
 # Automatically determine the architecture we're building on:
 if [ -z "$ARCH" ]; then
Only in slackware64-14.2.patcharm/source/d/make: make-4.1-fix_null_returns_from_ttyname.patch.gz
diff -ur slackware64-14.2/source/d/make/make.SlackBuild slackware64-14.2.patcharm/source/d/make/make.SlackBuild
--- slackware64-14.2/source/d/make/make.SlackBuild	2016-05-24 07:10:58.000000000 +0200
+++ slackware64-14.2.patcharm/source/d/make/make.SlackBuild	2017-12-23 23:51:53.276993830 +0100
@@ -69,6 +69,10 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \;
 
+# Apply patches:
+# http://www.linuxquestions.org/questions/slackware-14/requests-for-current-20151216-a-4175561577/page50.html#post5525558
+zcat $CWD/make-4.1-fix_null_returns_from_ttyname.patch.gz | patch -p1 --verbose || exit 1
+
 # Configure:
 CFLAGS="$SLKCFLAGS" \
 ./configure \
Only in slackware64-14.2.patcharm/source/d/p2c: getline.patch.gz
diff -ur slackware64-14.2/source/d/p2c/p2c.SlackBuild slackware64-14.2.patcharm/source/d/p2c/p2c.SlackBuild
--- slackware64-14.2/source/d/p2c/p2c.SlackBuild	2010-07-29 03:16:22.000000000 +0200
+++ slackware64-14.2.patcharm/source/d/p2c/p2c.SlackBuild	2017-10-10 03:08:17.246427069 +0200
@@ -80,6 +83,8 @@
 
 zcat $CWD/p2c_1.21alpha2-2.1.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
 zcat $CWD/p2c_time.diff.gz | patch -p0 --verbose --backup --suffix=.orig || exit 1
+zcat $CWD/getline.patch.gz | patch -p1 || exit 1
+
 find . -name "*.orig" | xargs rm --verbose
 # Fix library paths:
 sed -i -e "s#/lib #/lib${LIBDIRSUFFIX} #g" \
diff -ur slackware64-14.2/source/d/rcs/rcs.SlackBuild slackware64-14.2.patcharm/source/d/rcs/rcs.SlackBuild
--- slackware64-14.2/source/d/rcs/rcs.SlackBuild	2013-10-02 23:19:35.000000000 +0200
+++ slackware64-14.2.patcharm/source/d/rcs/rcs.SlackBuild	2017-08-14 00:47:42.939038759 +0200
@@ -64,6 +64,11 @@
   LIBDIRSUFFIX=""
 fi
 
+if [[ `gcc -dumpversion | cut -f1 -d.` -ge 5 ]]
+then
+  SLKCFLAGS="$SLKCFLAGS -std=c99"
+fi
+
 CWD=$(pwd)
 TMP=${TMP:-/tmp}
 PKG=$TMP/package-$PKGNAM
Only in slackware64-14.2.patcharm/source/kde/patch: amarok
Only in slackware64-14.2.patcharm/source/kde/patch: amarok.patch
Only in slackware64-14.2.patcharm/source/kde/patch: kdeartwork
Only in slackware64-14.2.patcharm/source/kde/patch: kdeartwork.patch
Only in slackware64-14.2.patcharm/source/kde/patch: kdesdk-kioslaves
Only in slackware64-14.2.patcharm/source/kde/patch: kdesdk-kioslaves.patch
Only in slackware64-14.2.patcharm/source/kde/patch: kgamma
Only in slackware64-14.2.patcharm/source/kde/patch: kgamma.patch
Only in slackware64-14.2.patcharm/source/kde/patch: kuser
Only in slackware64-14.2.patcharm/source/kde/patch: kuser.patch
Only in slackware64-14.2.patcharm/source/kde/patch: pykde4
Only in slackware64-14.2.patcharm/source/kde/patch: pykde4.patch
diff -ur slackware64-14.2/source/kde/cmake/calligra slackware64-14.2.patcharm/source/kde/cmake/calligra
--- slackware64-14.2/source/kde/cmake/calligra	2013-06-23 21:31:32.000000000 +0200
+++ slackware64-14.2.patcharm/source/kde/cmake/calligra	2017-12-08 02:47:41.800331255 +0100
@@ -13,6 +13,7 @@
     -DMAN_INSTALL_DIR=/usr/man \
     -DSYSCONF_INSTALL_DIR=/etc/kde \
     -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DIHAVEPATCHEDQT:BOOL=ON \
     -DOPENJPEG_INCLUDE_DIR=/usr/include/openmj2-2.1 \
     -DOPENJPEG_NAMES=openmj2 \
diff -ur slackware64-14.2/source/kde/cmake/cmake slackware64-14.2.patcharm/source/kde/cmake/cmake
--- slackware64-14.2/source/kde/cmake/cmake	2013-06-23 21:31:32.000000000 +0200
+++ slackware64-14.2.patcharm/source/kde/cmake/cmake	2017-12-08 02:47:41.800331255 +0100
@@ -12,5 +12,6 @@
     -DMAN_INSTALL_DIR=/usr/man \
     -DSYSCONF_INSTALL_DIR=/etc/kde \
     -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     ..
 
diff -ur slackware64-14.2/source/l/aalib/aalib.SlackBuild slackware64-14.2.patcharm/source/l/aalib/aalib.SlackBuild
--- slackware64-14.2/source/l/aalib/aalib.SlackBuild	2013-06-23 21:31:32.000000000 +0200
+++ slackware64-14.2.patcharm/source/l/aalib/aalib.SlackBuild	2017-12-08 02:47:41.800331255 +0100
@@ -63,7 +66,8 @@
 tar xvf $CWD/${PKGNAM}-$VERSION.tar.gz || exit 1
 cd ${PKGNAM}-${SRCVER} || exit 1
 #cp /usr/share/libtool/config.{guess,sub} .             # libtool-1.x
-cp /usr/share/libtool/config/config.{guess,sub} .       # libtool-2.x
+#cp /usr/share/libtool/config/config.{guess,sub} .       # libtool-2.x
+\cp /usr/share/libtool/build-aux/config.* . 
 sed -i -e "s# -lslang# -lslang1#" configure
 
 zcat $CWD/aalib-aclocal.patch.gz | patch -p1 --verbose || exit 1
diff -ur slackware64-14.2/source/l/aspell/aspell.SlackBuild slackware64-14.2.patcharm/source/l/aspell/aspell.SlackBuild
--- slackware64-14.2/source/l/aspell/aspell.SlackBuild	2015-12-20 07:42:53.000000000 +0100
+++ slackware64-14.2.patcharm/source/l/aspell/aspell.SlackBuild	2017-11-07 02:14:00.885231120 +0100
@@ -62,6 +65,9 @@
 rm -rf aspell-$VERSION
 tar xvf $CWD/aspell-$VERSION.tar.?z* || exit 1
 cd aspell-$VERSION
+
+zcat $CWD/insert.patch.gz | patch -p1
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
Only in slackware64-14.2.patcharm/source/l/aspell: insert.patch.gz
diff -ur slackware64-14.2/source/l/chmlib/chmlib.SlackBuild slackware64-14.2.patcharm/source/l/chmlib/chmlib.SlackBuild
--- slackware64-14.2/source/l/chmlib/chmlib.SlackBuild	2011-03-29 06:29:22.000000000 +0200
+++ slackware64-14.2.patcharm/source/l/chmlib/chmlib.SlackBuild	2017-12-09 16:11:56.269187756 +0100
@@ -63,6 +66,12 @@
 tar xvf $CWD/chmlib-$VERSION.tar.?z* || exit 1
 cd chmlib-$VERSION || exit 1 || exit 1
 chown -R root:root .
+
+for i in src_chm_lib.c.diff.gz src_extract_chmLib.c.diff.gz
+do
+  zcat $CWD/$i | patch -p1
+done
+
 find . \
  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
  -exec chmod 755 {} \; -o \
Only in slackware64-14.2.patcharm/source/l/chmlib: src_chm_lib.c.diff.gz
Only in slackware64-14.2.patcharm/source/l/chmlib: src_extract_chmLib.c.diff.gz
diff -ur slackware64-current.2/source/l/djvulibre/djvulibre.SlackBuild slackware64-current.3/source/l/djvulibre/djvulibre.SlackBuild
--- slackware64-current.2/source/l/djvulibre/djvulibre.SlackBuild	2021-04-13 20:07:19.309939691 +0200
+++ slackware64-current.3/source/l/djvulibre/djvulibre.SlackBuild	2021-09-18 13:42:54.446974362 +0200
@@ -63,6 +63,10 @@
 rm -rf $PKGNAM-$VERSION || rm -rf $PKGNAM-$(echo $VERSION | rev | cut -f 2- -d . | rev)
 tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
 cd $PKGNAM-$VERSION || cd $PKGNAM-$(echo $VERSION | rev | cut -f 2- -d . | rev) || exit 1
+
+# Adding missing cpal lossy options:
+zcat $CWD/djvulibre_cpal-lossy.diff.gz | patch -p1 --verbose || exit 1
+
 chown -R root:root .
 find . \
  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-current.2/source/l/esound/esound.SlackBuild slackware64-current.3/source/l/esound/esound.SlackBuild
--- slackware64-current.2/source/l/esound/esound.SlackBuild	2013-03-21 21:41:53.759766352 +0100
+++ slackware64-current.3/source/l/esound/esound.SlackBuild	2023-07-16 09:06:59.726637301 +0200
@@ -62,6 +65,10 @@
 tar xvf $CWD/${PKGNAM}-$VERSION.tar.bz2 || exit 1
 cd ${PKGNAM}-$VERSION
 
+# Avoid Internet access to download dtd models:
+tar xvf $CWD/dtd-docs.tar.gz
+sed -i 's|http://www.oasis-open.org/docbook/xml/4.1.2/||' docs/esound.sgml
+
 # Make sure ownerships and permissions are sane:
 chown -R root:root .
 find . \
diff -ur slackware64-14.2/source/l/gegl/gegl.SlackBuild slackware64-14.2.patcharm/source/l/gegl/gegl.SlackBuild
--- slackware64-14.2/source/l/gegl/gegl.SlackBuild	2015-03-18 22:51:59.000000000 +0100
+++ slackware64-14.2.patcharm/source/l/gegl/gegl.SlackBuild	2017-10-24 23:32:45.495801588 +0200
@@ -61,6 +64,9 @@
 rm -rf gegl-$VERSION
 tar xvf $CWD/gegl-$VERSION.tar.?z* || exit 1
 cd gegl-$VERSION || exit 1
+
+zcat $CWD/lm.patch.gz | patch -p1 || exit 1
+
 chown -R root:root .
 find . \
  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
Only in slackware64-14.2.patcharm/source/l/gegl: lm.patch.gz
diff -ur slackware64-14.2/source/l/glib/glib.SlackBuild slackware64-14.2.patcharm/source/l/glib/glib.SlackBuild
--- slackware64-14.2/source/l/glib/glib.SlackBuild	2010-08-06 02:12:45.000000000 +0200
+++ slackware64-14.2.patcharm/source/l/glib/glib.SlackBuild	2018-08-24 02:15:28.357182464 +0200
@@ -62,6 +65,11 @@
 
 bzcat $CWD/glib1.2_1.2.10-17.diff.bz2 | patch -p1 --verbose || exit 1
 
+if [[ `gcc -dumpversion | cut -f1 -d.` -ge 5 ]]
+then
+  SLKCFLAGS="$SLKCFLAGS -std=gnu89"
+fi
+
 # Make sure ownerships and permissions are sane:
 chown -R root:root .
 find . \
Only in slackware64-14.2.patcharm/source/l/gstreamer0: bison3.patch.gz
diff -ur slackware64-14.2/source/l/gstreamer0/gstreamer0.SlackBuild slackware64-14.2.patcharm/source/l/gstreamer0/gstreamer0.SlackBuild
--- slackware64-14.2/source/l/gstreamer0/gstreamer0.SlackBuild	2015-03-22 23:39:16.000000000 +0100
+++ slackware64-14.2.patcharm/source/l/gstreamer0/gstreamer0.SlackBuild	2017-11-04 23:17:10.456118079 +0100
@@ -67,6 +70,9 @@
 rm -rf $PKGNAM-$VERSION
 tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
 cd $PKGNAM-$VERSION
+
+zcat $CWD/bison3.patch.gz | patch -p1
+
 chown -R root:root .
 find . \
  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-14.2/source/l/gtk+/gtk+.SlackBuild slackware64-14.2.patcharm/source/l/gtk+/gtk+.SlackBuild
--- slackware64-14.2/source/l/gtk+/gtk+.SlackBuild	2011-01-23 08:31:17.000000000 +0100
+++ slackware64-14.2.patcharm/source/l/gtk+/gtk+.SlackBuild	2018-08-24 02:21:08.816850788 +0200
@@ -64,6 +67,11 @@
 
 bzcat $CWD/gtk+1.2_1.2.10-18.diff.bz2 | patch -p1 --verbose || exit 1
 
+if [[ `gcc -dumpversion | cut -f1 -d.` -ge 5 ]]
+then
+  SLKCFLAGS="$SLKCFLAGS -std=gnu89"
+fi
+
 # Make sure ownerships and permissions are sane:
 chown -R root:root .
 find . \
Only in slackware64-14.2.patcharm/source/l/libcaca: disable_pdf_generation.patch.gz
diff -ur slackware64-14.2/source/l/libbluedevil/libbluedevil.SlackBuild slackware64-14.2.patcharm/source/l/libbluedevil/libbluedevil.SlackBuild
--- slackware64-14.2/source/l/libbluedevil/libbluedevil.SlackBuild	2012-06-19 20:42:51.000000000 +0200
+++ slackware64-14.2.patcharm/source/l/libbluedevil/libbluedevil.SlackBuild	2017-10-29 23:32:31.922576512 +0100
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DMAN_INSTALL_DIR=/usr/man \
     -DSYSCONF_INSTALL_DIR=/etc/kde \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DBUILD_tests:BOOL=OFF \
     ..
   make $NUMJOBS VERBOSE=1 || make || exit 1
diff -ur slackware64-14.2/source/l/libcaca/libcaca.SlackBuild slackware64-14.2.patcharm/source/l/libcaca/libcaca.SlackBuild
--- slackware64-14.2/source/l/libcaca/libcaca.SlackBuild	2012-06-19 20:42:51.000000000 +0200
+++ slackware64-14.2.patcharm/source/l/libcaca/libcaca.SlackBuild	2017-10-29 23:32:31.922576512 +0100
@@ -62,6 +65,8 @@
 tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
 cd ${PKGNAM}-$VERSION
 
+zcat $CWD/disable_pdf_generation.patch.gz | patch -p1 || exit 1
+
 # Make sure ownerships and permissions are sane:
 chown -R root:root .
 find . \
Only in slackware64-14.2.patcharm/source/l/libcaca: libcaca.pdf
diff -ur slackware64-14.2/source/l/libcap/libcap.SlackBuild slackware64-14.2.patcharm/source/l/libcap/libcap.SlackBuild
--- slackware64-14.2/source/l/libcap/libcap.SlackBuild	2011-08-22 05:27:02.000000000 +0200
+++ slackware64-14.2.patcharm/source/l/libcap/libcap.SlackBuild	2017-10-30 13:55:04.150553379 +0100
@@ -80,7 +86,8 @@
 sed -i.orig "s/^\(DEBUG =\).*/\1$SLKCFLAGS/" Make.Rules
 
 make DYNAMIC=yes $NUMJOBS || make DYNAMIC=yes || exit 1
-make install FAKEROOT=$PKG man_prefix=/usr || exit 1
+make install FAKEROOT=$PKG man_prefix=/usr lib=lib${LIBDIRSUFFIX} || exit 1
+
 chmod 755 $PKG/lib${LIBDIRSUFFIX}/libcap.so*
 
 find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
diff -ur slackware64-14.2/source/l/libfakekey/libfakekey.SlackBuild slackware64-14.2.patcharm/source/l/libfakekey/libfakekey.SlackBuild
--- slackware64-14.2/source/l/libfakekey/libfakekey.SlackBuild	2015-04-01 00:55:20.000000000 +0200
+++ slackware64-14.2.patcharm/source/l/libfakekey/libfakekey.SlackBuild	2017-12-09 15:52:19.549586382 +0100
@@ -51,7 +51,6 @@
 elif [ "$ARCH" = "armv7hl" ]; then
   SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
   SLKLDFLAGS=""
-  LIBDIRSUFFIX="64"
   LIBDIRSUFFIX=""
 else
   SLKCFLAGS="-O2"
Only in slackware64-14.2.patcharm/source/l/libgphoto2: jpegmemsrcdest_libjpeg-turbo.patch.gz
diff -ur slackware64-14.2/source/l/libgphoto2/libgphoto2.SlackBuild slackware64-14.2.patcharm/source/l/libgphoto2/libgphoto2.SlackBuild
--- slackware64-14.2/source/l/libgphoto2/libgphoto2.SlackBuild	2016-04-30 20:14:00.000000000 +0200
+++ slackware64-14.2.patcharm/source/l/libgphoto2/libgphoto2.SlackBuild	2017-11-04 03:19:01.019708970 +0100
@@ -65,6 +68,10 @@
 rm -rf $PKGNAM-$VERSION
 tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
 cd $PKGNAM-$VERSION
+
+# Fix support for libjpeg-turbo:
+zcat $CWD/jpegmemsrcdest_libjpeg-turbo.patch.gz | patch -p1
+
 chown -R root:root .
 find . \
  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-14.2/source/l/libical/libical.SlackBuild slackware64-14.2.patcharm/source/l/libical/libical.SlackBuild
--- slackware64-14.2/source/l/libical/libical.SlackBuild	2010-08-08 05:18:22.000000000 +0200
+++ slackware64-14.2.patcharm/source/l/libical/libical.SlackBuild	2017-11-03 22:02:50.196859191 +0100
@@ -85,7 +88,7 @@
   -DCMAKE_INSTALL_PREFIX=/usr \
   -DMAN_INSTALL_DIR=/usr/man \
   -DSYSCONF_INSTALL_DIR=/etc \
-  -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+  -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
   -DSHARED_ONLY:BOOL=true \
   ..
 make $NUMJOBS || make || exit 1
Only in slackware64-14.2.patcharm/source/l/libmad: force-mem.patch.gz
diff -ur slackware64-14.2/source/l/libmad/libmad.SlackBuild slackware64-14.2.patcharm/source/l/libmad/libmad.SlackBuild
--- slackware64-14.2/source/l/libmad/libmad.SlackBuild	2010-08-08 05:18:22.000000000 +0200
+++ slackware64-14.2.patcharm/source/l/libmad/libmad.SlackBuild	2017-11-03 22:02:50.196859191 +0100
@@ -62,6 +65,9 @@
 tar xvf $CWD/${PKGNAM}-$VERSION.tar.gz || exit 1
 cd ${PKGNAM}-$VERSION
 
+# Remove force-mem optimization (GCC 5 does not have this option anymore)
+zcat $CWD/force-mem.patch.gz | patch -p0 || exit 1
+
 # Make sure ownerships and permissions are sane:
 chown -R root:root .
 find . \
Only in slackware64-14.2.patcharm/source/l/libspectre: ghostscript_error.diff.gz
diff -ur slackware64-14.2/source/l/libspectre/libspectre.SlackBuild slackware64-14.2.patcharm/source/l/libspectre/libspectre.SlackBuild
--- slackware64-14.2/source/l/libspectre/libspectre.SlackBuild	2012-07-15 18:51:22.000000000 +0200
+++ slackware64-14.2.patcharm/source/l/libspectre/libspectre.SlackBuild	2017-12-09 16:59:31.095154357 +0100
@@ -68,6 +71,9 @@
  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
  -exec chmod 644 {} \;
 
+# Fix Ghostscript error constant
+zcat $CWD/ghostscript_error.diff.gz | patch -p1 --verbose || exit 1
+
 CFLAGS="$SLKCFLAGS" \
 CXXFLAGS="$SLKCFLAGS" \
 ./configure \
Only in slackware64-14.2.patcharm/source/l/libtheora: libtheora-1.1.1-fix-pp_sharp_mod-calc.patch.xz
Only in slackware64-14.2.patcharm/source/l/libtheora: libtheora-1.1.1-libpng16.patch.xz
diff -ur slackware64-14.2/source/l/libtheora/libtheora.SlackBuild slackware64-14.2.patcharm/source/l/libtheora/libtheora.SlackBuild
--- slackware64-14.2/source/l/libtheora/libtheora.SlackBuild	2010-02-18 00:33:09.000000000 +0100
+++ slackware64-14.2.patcharm/source/l/libtheora/libtheora.SlackBuild	2017-12-03 23:30:08.415762349 +0100
@@ -62,6 +65,9 @@
 tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
 cd ${PKGNAM}-$VERSION
 
+xzcat $CWD/libtheora-1.1.1-libpng16.patch.xz | patch -p0 || exit 1
+xzcat $CWD/libtheora-1.1.1-fix-pp_sharp_mod-calc.patch.xz | patch -p1 || exit 1
+
 # Make sure ownerships and permissions are sane:
 chown -R root:root .
 find . \
--- slackware64-14.2/source/l/loudmouth/loudmouth.SlackBuild.orig	2016-02-08 20:32:34.000000000 +0100
+++ slackware64-14.2.patcharm/source/l/loudmouth/loudmouth.SlackBuild	2018-09-18 23:06:05.087177401 +0200
@@ -26,7 +26,7 @@
 VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
 BUILD=${BUILD:-1}
 
-NUMJOBS=${NUMJOBS:" -j4 "}
+NUMJOBS=${NUMJOBS:-" -j4 "}
 
 # Automatically determine the architecture we're building on:
 if [ -z "$ARCH" ]; then
diff -ur slackware64-14.2/source/l/phonon/phonon.SlackBuild slackware64-14.2.patcharm/source/l/phonon/phonon.SlackBuild
--- slackware64-14.2/source/l/phonon/phonon.SlackBuild	2010-08-09 23:14:43.000000000 +0200
+++ slackware64-14.2.patcharm/source/l/phonon/phonon.SlackBuild	2017-12-08 14:49:40.096583760 +0100
@@ -84,7 +87,7 @@
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DMAN_INSTALL_DIR=/usr/man \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT:BOOL=ON \
     -DPHONON_QT_PLUGIN_INSTALL_DIR=/usr/lib$LIBDIRSUFFIX/qt/plugins/designer \
     -DWITH_QZeitgeist=BOOL:OFF \
@@ -103,7 +106,7 @@
       -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
       -DCMAKE_INSTALL_PREFIX=/usr \
       -DMAN_INSTALL_DIR=/usr/man \
-      -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+      -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
       -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT:BOOL=ON \
       -DPHONON_QT_PLUGIN_INSTALL_DIR=/usr/lib$LIBDIRSUFFIX/qt/plugins/designer \
       -DWITH_QZeitgeist=BOOL:OFF \
Only in slackware64-14.2.patcharm/source/l/phonon-gstreamer: missing_gstreamer_definitions.diff.gz
diff -ur slackware64-14.2/source/l/phonon-gstreamer/phonon-gstreamer.SlackBuild slackware64-14.2.patcharm/source/l/phonon-gstreamer/phonon-gstreamer.SlackBuild
--- slackware64-14.2/source/l/phonon-gstreamer/phonon-gstreamer.SlackBuild	2014-11-08 14:30:16.000000000 +0100
+++ slackware64-14.2.patcharm/source/l/phonon-gstreamer/phonon-gstreamer.SlackBuild	2017-12-08 13:20:44.994983565 +0100
@@ -28,7 +28,7 @@
 VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d- | rev)}
 BUILD=${BUILD:-1}
 
-NUMJOBS=${NUMJOBS:" -j7 "}
+NUMJOBS=${NUMJOBS:-" -j7 "}
 
 # Automatically determine the architecture we're building on:
 MARCH=$( uname -m )
@@ -70,6 +73,8 @@
 tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
 cd $SRCNAM-$VERSION || exit 1
 
+zcat $CWD/missing_gstreamer_definitions.diff.gz | patch -p1 || exit 1
+
 chown -R root:root .
 find . \
  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -89,9 +94,9 @@
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DMAN_INSTALL_DIR=/usr/man \
     -DSYSCONF_INSTALL_DIR=/etc \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     ..
-  make $NUMJOBS
+  make $NUMJOBS || exit 1
   make DESTDIR=$PKG install
 cd -
 
@@ -108,7 +113,7 @@
       -DCMAKE_INSTALL_PREFIX=/usr \
       -DMAN_INSTALL_DIR=/usr/man \
       -DSYSCONF_INSTALL_DIR=/etc \
-      -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+      -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
       -DPHONON_BUILD_PHONON4QT5=ON \
       ..
     make $NUMJOBS
Only in slackware64-14.2.patcharm/source/l/qt-gstreamer: find_gstconfig_properly.diff.gz
diff -ur slackware64-14.2/source/l/qt-gstreamer/qt-gstreamer.SlackBuild slackware64-14.2.patcharm/source/l/qt-gstreamer/qt-gstreamer.SlackBuild
--- slackware64-14.2/source/l/qt-gstreamer/qt-gstreamer.SlackBuild	2015-04-02 17:06:27.000000000 +0200
+++ slackware64-14.2.patcharm/source/l/qt-gstreamer/qt-gstreamer.SlackBuild	2017-10-30 00:54:26.605270846 +0100
@@ -67,6 +70,9 @@
 rm -rf $PKGNAM-$VERSION
 tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
 cd $PKGNAM-$VERSION || exit 1
+
+zcat $CWD/find_gstconfig_properly.diff.gz | patch -p1 || exit 1
+
 chown -R root:root .
 find . \
  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -81,7 +87,7 @@
     -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DQT_VERSION=4 \
     ..
   make $NUMJOBS || make || exit 1
@@ -97,7 +103,7 @@
       -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
       -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
       -DCMAKE_INSTALL_PREFIX=/usr \
-      -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+      -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
       -DQT_VERSION=5 \
       ..
     make $NUMJOBS || make || exit 1
diff -ur slackware64-14.2/source/l/strigi/strigi.SlackBuild slackware64-14.2.patcharm/source/l/strigi/strigi.SlackBuild
--- slackware64-14.2/source/l/strigi/strigi.SlackBuild	2010-08-09 23:14:43.000000000 +0200
+++ slackware64-14.2.patcharm/source/l/strigi/strigi.SlackBuild	2017-12-08 14:49:40.096583760 +0100
@@ -97,7 +100,7 @@
     -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     ..
    make $NUMJOBS || make || exit 1
    make install DESTDIR=$PKG || exit 1
Only in slackware64-14.2.patcharm/source/l/taglib-extras: taglib-extras-1.0.1-taglib_ver.patch.xz
Only in slackware64-14.2.patcharm/source/l/taglib-extras: taglib-extras-1.0.1-version.patch.xz
diff -ur slackware64-14.2/source/l/taglib-extras/taglib-extras.SlackBuild slackware64-14.2.patcharm/source/l/taglib-extras/taglib-extras.SlackBuild
--- slackware64-14.2/source/l/taglib-extras/taglib-extras.SlackBuild	2010-08-09 23:14:43.000000000 +0200
+++ slackware64-14.2.patcharm/source/l/taglib-extras/taglib-extras.SlackBuild	2017-12-08 14:49:40.096583760 +0100
@@ -67,6 +70,12 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \;
 
+# Fix taglib version comparison (rollover from 9 to 10...)
+xzcat $CWD/taglib-extras-1.0.1-taglib_ver.patch.xz | patch -p1 --verbose || exit 1
+
+# Fix taglib-extra patch version 
+xzcat $CWD/taglib-extras-1.0.1-version.patch.xz | patch -p1 --verbose || exit 1
+
 mkdir -p build
 cd build
   cmake \
Only in slackware64-14.2.patcharm/source/l/v4l-utils: mem_srcdst_supported.patch.gz
diff -ur slackware64-14.2/source/l/v4l-utils/v4l-utils.SlackBuild slackware64-14.2.patcharm/source/l/v4l-utils/v4l-utils.SlackBuild
--- slackware64-14.2/source/l/v4l-utils/v4l-utils.SlackBuild	2016-02-07 20:22:37.000000000 +0100
+++ slackware64-14.2.patcharm/source/l/v4l-utils/v4l-utils.SlackBuild	2017-10-30 02:00:31.487787150 +0100
@@ -71,6 +74,9 @@
  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
  -exec chmod 644 {} \;
 
+# Patching for libjpeg-turbo (JPEG_LIB_VERSION < 80 but mem_srcdst supported)
+zcat $CWD/mem_srcdst_supported.patch.gz | patch -p1 || exit 1
+
 # Configure:
 CFLAGS="$SLKCFLAGS" \
 CXXFLAGS="$SLKCFLAGS" \
diff -ur slackware64-14.2/source/n/autofs/autofs.SlackBuild slackware64-14.2.patcharm/source/n/autofs/autofs.SlackBuild
--- slackware64-14.2/source/n/autofs/autofs.SlackBuild	2013-04-18 23:05:13.000000000 +0200
+++ slackware64-14.2.patcharm/source/n/autofs/autofs.SlackBuild	2018-08-23 18:37:08.193610843 +0200
@@ -1,4 +1,3 @@
-
 #!/bin/sh
 
 # Copyright 2010, 2013  Patrick J. Volkerding, Sebeka, Minnesota, USA
@@ -73,6 +76,12 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \;
 
+
+if [[ `gcc -dumpversion | cut -f1 -d.` -ge 5 ]]
+then
+  SLKCFLAGS="$SLKCFLAGS -std=gnu89"
+fi
+
 # SASL requires krb5:
 
 CFLAGS="$SLKCFLAGS" \
@@ -85,7 +94,7 @@
   --without-sasl \
   --build=$ARCH-slackware-linux
 
-make $NUMJOBS || make || exit 1
+CFLAGS="$SLKCFLAGS" make $NUMJOBS || make || exit 1
 make install DESTDIR=$PKG || exit 1
 
 # Referenced in the auto.master config file, but not created:
diff -urw slackware64-current.1/source/n/elm/elm.SlackBuild slackware64-current.fixarm/source/n/elm/elm.SlackBuild
--- slackware64-current.1/source/n/elm/elm.SlackBuild	2019-08-23 21:55:02.216718962 +0200
+++ slackware64-current.fixarm/source/n/elm/elm.SlackBuild	2019-07-11 17:34:43.673883021 +0200
@@ -66,7 +66,7 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \;
 
-cat $CWD/config.sh | sed -e "s#usr/lib#usr/lib${LIBDIRSUFFIX}#" > config.sh
+cat $CWD/config.sh | sed -e "s#usr/lib#usr/lib${LIBDIRSUFFIX}#" | sed -e "s|/tmp|$TMP|" > config.sh
 mkdir -p $PKG/var/lib/elm \
          $PKG/usr/bin \
          $PKG/usr/man/man1 \
diff -urw slackware64-current.1/source/n/iptraf-ng/iptraf-ng.SlackBuild slackware64-current.fixarm/source/n/iptraf-ng/iptraf-ng.SlackBuild
diff -urw slackware64-current.1/source/n/iptraf-ng/iptraf-ng.SlackBuild slackware64-current.fixarm/source/n/iptraf-ng/iptraf-ng.SlackBuild
--- slackware64-current.1/source/n/iptraf-ng/iptraf-ng.SlackBuild	2018-09-19 00:04:13.711104592 +0200
+++ slackware64-current.fixarm/source/n/iptraf-ng/iptraf-ng.SlackBuild	2019-08-24 14:13:03.985605359 +0200
@@ -69,6 +69,9 @@
 tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
 cd $PKGNAM-$VERSION
 
+# Patch for unaligned buffer and flow-rate interval::
+zcat $CWD/unaligned_copy-flowrate_interval.diff.gz | patch -p1 --verbose || exit 1
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-14.2/source/n/lynx/lynx.SlackBuild slackware64-14.2.patcharm/source/n/lynx/lynx.SlackBuild
--- slackware64-14.2/source/n/lynx/lynx.SlackBuild	2016-03-09 20:10:04.000000000 +0100
+++ slackware64-14.2.patcharm/source/n/lynx/lynx.SlackBuild	2017-11-01 04:42:57.572215821 +0100
@@ -73,6 +76,7 @@
 # Apply recolorizing patch:
 zcat $CWD/lynx.cfg.diff.gz | patch -p1 --verbose --backup || exit 1
 
+CPPFLAGS="-I/usr/include/openssl " \
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
Only in slackware64-14.2.patcharm/source/n/net-tools: if_strip.h
Only in slackware64-14.2.patcharm/source/n/net-tools: if_tr.h
Binary files slackware64-14.2/source/n/net-tools/net-tools.config.h.gz and slackware64-14.2.patcharm/source/n/net-tools/net-tools.config.h.gz differ
diff -ur slackware64-14.2/source/n/netkit-rsh/netkit-rsh.SlackBuild slackware64-14.2.patcharm/source/n/netkit-rsh/netkit-rsh.SlackBuild
--- slackware64-14.2/source/n/netkit-rsh/netkit-rsh.SlackBuild	2010-08-12 17:09:16.000000000 +0200
+++ slackware64-14.2.patcharm/source/n/netkit-rsh/netkit-rsh.SlackBuild	2017-08-13 01:29:20.030326029 +0200
@@ -48,6 +48,7 @@
 tar xzvf $CWD/netkit-rsh-$VERSION.tar.gz
 cd netkit-rsh-$VERSION
 chown -R root:root .
+export CFLAGS="-DARG_MAX=_POSIX_ARG_MAX"
 ./configure --prefix=/usr
 make
 cd rsh
Binary files slackware64-14.2/source/n/netkit-rwho/rwhod_getloadavg.diff.gz and slackware64-14.2.patcharm/source/n/netkit-rwho/rwhod_getloadavg.diff.gz differ
Only in slackware64-14.2.patcharm/source/n/newspost: getline.patch.gz
diff -ur slackware64-14.2/source/n/newspost/newspost.SlackBuild slackware64-14.2.patcharm/source/n/newspost/newspost.SlackBuild
--- slackware64-14.2/source/n/newspost/newspost.SlackBuild	2010-08-12 17:15:09.000000000 +0200
+++ slackware64-14.2.patcharm/source/n/newspost/newspost.SlackBuild	2017-08-13 13:54:50.504396847 +0200
@@ -53,6 +53,9 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \;
 
+# Patching redefined getline
+zcat $CWD/getline.patch.gz | patch -p1
+
 make $NUMJOBS || make || exit 1
 
 mkdir -p $PKG/usr/bin
diff -ur slackware64-14.2/source/n/nn/nn.SlackBuild slackware64-14.2.patcharm/source/n/nn/nn.SlackBuild
--- slackware64-14.2/source/n/nn/nn.SlackBuild	2009-11-12 01:23:37.000000000 +0100
+++ slackware64-14.2.patcharm/source/n/nn/nn.SlackBuild	2018-08-23 18:43:49.122959880 +0200
@@ -65,6 +65,7 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \;
 
+zcat $CWD/nn_6.7.3-10.diff.gz | patch -p1 --verbose || exit 1
 zcat $CWD/nn.diff.gz \
     | sed -e "s#m-sparc.h#${MFILE}#" \
     | sed -e "s#/usr/lib/nn#/usr/lib${LIBDIRSUFFIX}/nn#" \
@@ -75,10 +76,10 @@
 zcat $CWD/nn.badnntphost.diff.gz | patch -p1 --verbose || exit 1
 # Taken from slamd64 (who adapted an old Ubuntu patch);
 # Besides adding DESTDIR support, it gets rid of the hardlinks that are created:
-zcat $CWD/nn.destdir.diff.gz | patch -p1 --verbose  || exit 1
+#zcat $CWD/nn.destdir.diff.gz | patch -p1 --verbose  || exit 1
 
 cat config.h-dist | sed -e "s#m-sparc.h#${MFILE}#" > config.h
-make all
+make all || exit 1
 
 echo "*** USE install option 's'"
 sleep 5
Binary files slackware64-14.2/source/n/nn/nn.badnntphost.diff.gz and slackware64-14.2.patcharm/source/n/nn/nn.badnntphost.diff.gz differ
diff -ur slackware64-14.2/source/n/openssl/openssl.SlackBuild slackware64-14.2.patcharm/source/n/openssl/openssl.SlackBuild
--- slackware64-14.2/source/n/openssl/openssl.SlackBuild	2016-03-02 05:25:08.000000000 +0100
+++ slackware64-14.2.patcharm/source/n/openssl/openssl.SlackBuild	2017-10-30 14:52:20.577895129 +0100
@@ -112,6 +112,7 @@
 ./config \
  --prefix=/usr \
  --openssldir=/etc/ssl \
+ --libdir=lib$LIBDIRSUFFIX \
  no-mdc2 \
  no-idea \
  no-rc5 \
diff -ur slackware64-14.2/source/n/procmail/procmail.SlackBuild slackware64-14.2.patcharm/source/n/procmail/procmail.SlackBuild
--- slackware64-14.2/source/n/procmail/procmail.SlackBuild	2010-08-12 17:30:34.000000000 +0200
+++ slackware64-14.2.patcharm/source/n/procmail/procmail.SlackBuild	2017-08-13 01:29:20.070324680 +0200
@@ -49,6 +49,7 @@
 cd procmail-$VERSION || exit 1
 zcat $CWD/procmail_3.22-5.diff.gz | patch -p1 --verbose || exit 1
 zcat $CWD/procmail.lfs.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/procmail_getline.diff.gz | patch -p1 --verbose || exit 1
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
Only in slackware64-14.2.patcharm/source/n/procmail: procmail_getline.diff.gz
diff -ur slackware64-14.2/source/t/tetex/tetex.SlackBuild slackware64-14.2.patcharm/source/t/tetex/tetex.SlackBuild
--- slackware64-14.2/source/t/tetex/tetex.SlackBuild	2015-03-24 20:23:43.000000000 +0100
+++ slackware64-14.2.patcharm/source/t/tetex/tetex.SlackBuild	2017-11-07 00:04:14.813249016 +0100
@@ -22,7 +22,7 @@
 
 
 VERSION=3.0
-BUILD=${BUILD:-10}
+BUILD=${BUILD:-11}
 
 # Automatically determine the architecture we're building on:
 if [ -z "$ARCH" ]; then
@@ -118,6 +118,9 @@
 # Another problem caused by getline() in glibc:
 zcat $CWD/tetex.afm2tfm.getline.diff.gz | patch -p1 --verbose || exit 1
 
+# Fix segfault after incorrect array initialization
+zcat $CWD/tetex.texini.128.diff.gz | patch -p1 --verbose || exit 1
+
 CFLAGS="$SLKCFLAGS" \
 CXXFLAGS="$SLKCFLAGS" \
 ./configure --prefix=/usr/share/texmf \
Only in slackware64-14.2.patcharm/source/t/tetex: tetex.texini.128.diff.gz
diff -ur slackware64-14.2/source/tcl/tix/tix.SlackBuild slackware64-14.2.patcharm/source/tcl/tix/tix.SlackBuild
--- slackware64-14.2/source/tcl/tix/tix.SlackBuild	2013-05-14 04:44:25.000000000 +0200
+++ slackware64-14.2.patcharm/source/tcl/tix/tix.SlackBuild	2017-11-03 21:11:28.157739704 +0100
@@ -68,6 +74,17 @@
 zcat $CWD/tix.tcl8.5.patch.gz | patch -p1 --backup --suffix=.orig || exit 1
 zcat $CWD/tix.soname.patch.gz | patch -p1 || exit 1
 
+# Allow tcl to find the source dir from which it was built (this is our newly
+# unpacked version from the time that it *was* built):
+cp -fav /usr/lib${LIBDIRSUFFIX}/tclConfig.sh{,.orig}
+cp -fav /usr/lib${LIBDIRSUFFIX}/tkConfig.sh{,.orig}
+ln -s $TMP/tcl* $TMP/srctcl
+ln -s $TMP/tk* $TMP/srctk
+sed -i 's?^TCL_SRC_DIR=.*?TCL_SRC_DIR='"$TMP"'/srctcl?g' /usr/lib${LIBDIRSUFFIX}/tclConfig.sh
+sed -i 's?^TK_SRC_DIR=.*?TK_SRC_DIR='"$TMP"'/srctk?g' /usr/lib${LIBDIRSUFFIX}/tkConfig.sh
+egrep "^TCL_SRC_DIR" /usr/lib${LIBDIRSUFFIX}/tclConfig.sh 
+egrep "^TK_SRC_DIR" /usr/lib${LIBDIRSUFFIX}/tkConfig.sh 
+
 CFLAGS="$SLKCFLAGS" \
 CPPFLAGS="-DUSE_INTERP_RESULT" \
 ./configure \
@@ -83,6 +100,10 @@
 make $NUMJOBS || make || exit 1
 make install DESTDIR=$PKG || exit 1
 
+# Put the previous tcl & tk config files back:
+mv -fv /usr/lib${LIBDIRSUFFIX}/tclConfig.sh.orig /usr/lib${LIBDIRSUFFIX}/tclConfig.sh
+mv -fv /usr/lib${LIBDIRSUFFIX}/tkConfig.sh.orig /usr/lib${LIBDIRSUFFIX}/tkConfig.sh
+
 # Strip binaries:
 find $PKG | xargs file | grep -e "executable" -e "shared object" \
   | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
Only in slackware64-14.2.patcharm/source/x/x11/patch: intel-gpu-tools.patch
Only in slackware64-14.2.patcharm/source/x/x11/patch: sessreg
Only in slackware64-14.2.patcharm/source/x/x11/patch: sessreg.patch
diff -ur slackware64-14.2/source/xap/gv/gv.SlackBuild slackware64-14.2.patcharm/source/xap/gv/gv.SlackBuild
--- slackware64-14.2/source/xap/gv/gv.SlackBuild	2015-03-29 22:21:39.000000000 +0200
+++ slackware64-14.2.patcharm/source/xap/gv/gv.SlackBuild	2017-12-04 19:17:03.111083503 +0100
@@ -69,7 +72,7 @@
   -exec chmod 644 {} \;
 
 # Configure:
-CFLAGS="$SLKCFLAGS $(pkg-config --cflags xaw3d)" \
+XAW3DLIB=Xaw3d CFLAGS="$SLKCFLAGS $(pkg-config --cflags xaw3d)" \
 ./configure \
   --prefix=/usr \
   --sysconfdir=/etc \
Only in slackware64-14.2.patcharm/source/xap/imagemagick: core_wmf_wand_deps.diff.gz
diff -ur slackware64-14.2/source/xap/imagemagick/imagemagick.SlackBuild slackware64-14.2.patcharm/source/xap/imagemagick/imagemagick.SlackBuild
--- slackware64-14.2/source/xap/imagemagick/imagemagick.SlackBuild	2016-06-18 00:28:48.000000000 +0200
+++ slackware64-14.2.patcharm/source/xap/imagemagick/imagemagick.SlackBuild	2017-12-08 01:44:28.203874825 +0100
@@ -86,6 +89,9 @@
 # Harden the default settings in policy.xml to prevent security issues:
 zcat $CWD/policy.xml.diff.gz | patch -p1 --verbose || exit 1
 
+# Set circular dependency on "Core" to "Wand" for wmf support
+zcat $CWD/core_wmf_wand_deps.diff.gz | patch -p1 --verbose || exit 1
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
Only in slackware64-14.2.patcharm/source/xap/seyon: getline.diff.gz
diff -ur slackware64-14.2/source/xap/seyon/seyon.SlackBuild slackware64-14.2.patcharm/source/xap/seyon/seyon.SlackBuild
--- slackware64-14.2/source/xap/seyon/seyon.SlackBuild	2012-01-12 20:29:08.000000000 +0100
+++ slackware64-14.2.patcharm/source/xap/seyon/seyon.SlackBuild	2017-12-07 12:15:03.880863252 +0100
@@ -80,6 +83,7 @@
   -exec chmod 644 {} \;
 
 zcat $CWD/seyon_2.20c-16.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/getline.diff.gz | patch -p1 --verbose || exit 1
 
 chmod 755 makever.sh
 xmkmf
diff -ur slackware64-14.2/source/xap/xmms/xmms.SlackBuild slackware64-14.2.patcharm/source/xap/xmms/xmms.SlackBuild
--- slackware64-14.2/source/xap/xmms/xmms.SlackBuild	2013-05-03 04:26:44.000000000 +0200
+++ slackware64-14.2.patcharm/source/xap/xmms/xmms.SlackBuild	2018-08-24 02:50:39.357393715 +0200
@@ -60,6 +64,11 @@
 rm -rf $PKG
 mkdir -p $TMP $PKG
 
+if [[ `gcc -dumpversion | cut -f1 -d.` -ge 5 ]]
+then
+  SLKCFLAGS="$SLKCFLAGS -std=gnu89"
+fi
+
 cd $TMP
 rm -rf xmms-$VERSION
 tar xvf $CWD/xmms-$VERSION.tar.bz2 || exit 1
diff -ur slackware64-14.2/source/a/jfsutils/jfsutils.SlackBuild.orig slackware64-14.2.patcharm/source/a/jfsutils/jfsutils.SlackBuild
--- slackware64-14.2/source/a/jfsutils/jfsutils.SlackBuild	2011-03-29 21:01:03.000000000 +0200
+++ slackware64-14.2.patcharm/source/a/jfsutils/jfsutils.SlackBuild	2020-03-14 16:39:42.798080178 +0100
@@ -60,13 +60,16 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \;
 
+# Fix extract.c (jfs_fscklog) for missing int64_t definition:
+zcat $CWD/jfsutils.extract.c.diff.gz | patch -p1 --verbose || exit 1
+
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
   --disable-dependency-tracking \
   --build=$ARCH-slackware-linux
 
-make
+make || exit 1
 
 mkdir -p $PKG/sbin
 cat fsck/jfs_fsck > $PKG/sbin/jfs_fsck
diff -ur slackware64-14.2/source/n/idnkit/idnkit.SlackBuild.orig slackware64-14.2.patcharm/source/n/idnkit/idnkit.SlackBuild
--- slackware64-14.2/source/n/idnkit/idnkit.SlackBuild	2011-03-25 22:45:28.000000000 +0100
+++ slackware64-14.2.patcharm/source/n/idnkit/idnkit.SlackBuild	2020-04-02 15:04:10.183750901 +0200
@@ -55,7 +55,7 @@
 fi
 
 cd $TMP
-rm -rf ${PKGNAM}-${VERSION}
+rm -rf ${PKGNAM}-${VERSION}-src
 tar xvf $CWD/${PKGNAM}-$VERSION-src.tar.?z* || exit 1
 cd ${PKGNAM}-$VERSION-src || exit 1
 
diff -ur slackware64-14.2/source/n/obexftp/obexftp.SlackBuild.orig slackware64-14.2.patcharm/source/n/obexftp/obexftp.SlackBuild
--- slackware64-14.2/source/n/obexftp/obexftp.SlackBuild	2011-03-25 22:45:28.000000000 +0100
+++ slackware64-14.2.patcharm/source/n/obexftp/obexftp.SlackBuild	2020-04-02 15:04:10.183750901 +0200
@@ -81,7 +84,7 @@
     -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DCMAKE_INSTALL_DOCDIR=/usr/doc/$PKGNAM-$VERSION \
     -DCMAKE_BUILD_TYPE=Release ..
   make $NUMJOBS || make || exit 1
diff -ur slackware64-14.2/source/n/openobex/openobex.SlackBuild.orig slackware64-14.2.patcharm/source/n/openobex/openobex.SlackBuild
--- slackware64-14.2/source/n/openobex/openobex.SlackBuild	2011-03-25 22:45:28.000000000 +0100
+++ slackware64-14.2.patcharm/source/n/openobex/openobex.SlackBuild	2020-04-02 15:04:10.183750901 +0200
@@ -75,7 +78,7 @@
     -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DCMAKE_INSTALL_DOCDIR=/usr/doc/$PKGNAM-$VERSION \
     -DCMAKE_BUILD_TYPE=Release ..
   make $NUMJOBS || make || exit 1
